OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields | Private Attributes
DropDownListCheckedItem Class Reference

Drop down list entry for showing a checked/unchecked toggle item. More...

Inheritance diagram for DropDownListCheckedItem:

## Public Member Functions
| DropDownListCheckedItem (StringID string, int result, bool masked, bool checked)
uint | Width () const
void | Draw (int left, int right, int top, int bottom, bool sel, int bg_colour) const
Public Member Functions inherited from DropDownListStringItem
| DropDownListStringItem (StringID string, int result, bool masked)
virtual bool | Selectable () const
virtual StringID | String () const
Public Member Functions inherited from DropDownListItem
| DropDownListItem (int result, bool masked)
virtual uint | Height (uint width) const

## Data Fields
bool | checked
Data Fields inherited from DropDownListStringItem
StringID | string
| String ID of item.
Data Fields inherited from DropDownListItem
int | result
| Result code to return to window on selection.
bool | masked
| Masked and unselectable item.

## Private Attributes
uint | checkmark_width

## Additional Inherited Members
Static Public Member Functions inherited from DropDownListStringItem
static int CDECL | NatSortFunc (const DropDownListItem *const *first, const DropDownListItem *const *second)
| Natural sorting comparator function for DropDownList::sort().

## Detailed Description

Drop down list entry for showing a checked/unchecked toggle item.

Definition at line 88 of file toolbar_gui.cpp.

The documentation for this class was generated from the following file:

- src/toolbar_gui.cpp